<template>
  <button
    role="button"
    :aria-pressed="ariaPressed"
    :disabled="disabled"
    class="btn capitalize"
    :class="[status, { 'loading': isLoading } ]"
    @click="$emit('click')"
  >
    {{ isLoading ? loadingText : displayText }}
  </button>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    ariaPressed: { type: Boolean, default: true },
    disabled: { type: Boolean, default: false },
    displayText: { type: String, default: '' },
    isLoading: { type: Boolean, default: false },
    loadingText: { type: String, default: '' }
  },
  computed: {
    status():string {
      return this.disabled ? 'btn-disabled' : 'btn-primary btn-active'
    }
  }
})
</script>
